window.TGR_MemberEditor = (function (window, document, $) {
  'use strict';
  //Document Ready
  var app = {
    debug: false,
    $clickTargetAddNew: $(),
  };
  var Admin;//Admin Team Grid
  var xbox;//Xbox Framework

  $(function () {
    app.debug = TGR_PUBLIC_JS.debug_mode === 'on';
    xbox = window.XBOX;
    Admin = window.AdminTeamGrid;

    app.init();
  });

  app.init = function () {
    app.$form = $('body.post-type-teamgrid_members form[name="post"]');
    app.$post_body = $('body.post-type-teamgrid_members #post-body');

    //Save post
    app.$post_body.on('click', '#save-member:not(.mtt-disabled)', app.submit_save_post);
    app.$post_body.on('click', '.tgr-add-new-field-name, .tgr-add-new-skill-name', app.add_flash_bg_to_box_add_field_names);
    app.update_dropdown_after_create_taxonomie();


  };

  app.submit_save_post = function(){
    event.preventDefault();

    var form_valid = true;
    var check_form = false;
    if (typeof app.$form[0].checkValidity === 'function') {
      check_form = true;
    }
    if (check_form) {
      form_valid = app.$form[0].checkValidity();
    }
    if (check_form && !form_valid) {
      var message = app.$form.getValidationMessages('.xbox-field input[type="date"], .xbox-field input[type="time"]');
      if (message) {
        alert(message);
      } else {
        alert('Error: Some fields are not valid.');
      }
      return;
    }

    var $btn = $(this);
    $btn.addClass('mtt-disabled').find('i').remove();
    $btn.append("<i class='xbox-icon xbox-icon-spinner xbox-icon-spin mtt-ml-8'></i>");

    $.xboxConfirm({
      title: TGR_ADMIN_JS.texts.saving_changes,
      content: TGR_ADMIN_JS.texts.please_wait,
      hide_confirm: true,
      hide_cancel: true,
      hide_close: true,
      wrap_class: 'transparent-confirm',
    });

    var save_interval = setInterval(function () {
      if (!$('#publish').hasClass('disabled')) {
        clearInterval(save_interval);

        //Save post
        $('#publish').click();
      }
    }, 300);
  };

  app.add_flash_bg_to_box_add_field_names = function(e){
    app.$clickTargetAddNew = $(this);
    var $box = $();
    if( $(e.target).closest('.xbox-row-id-tgr_fields').length ){
      $box = $("#"+TGR_ADMIN_JS.taxonomies.fields+'div');
    } else if($(e.target).closest('.xbox-row-id-tgr_skills').length){
      $box = $("#"+TGR_ADMIN_JS.taxonomies.skills+'div');
    }
    Admin.scroll_to($box, 400, 300, function(){
      $box.addClass('tgr-admin-flash-bg');
      setTimeout(function(){
        $box.removeClass('tgr-admin-flash-bg');
      }, 2500);
    });
  };

  app.update_dropdown_after_create_taxonomie = function(){
    $(document).ajaxSuccess(function(e, request, settings){
      //console.log("=============== e", e);
      //console.log("request", request);
      //console.log("settings", settings);
      if( request.status >= 200 && request.status < 300){
        //console.log("obj", obj);
        var taxonomyKey;
        var $row;
        if( settings.action && settings.action == 'add-'+TGR_ADMIN_JS.taxonomies.fields ){
          taxonomyKey = TGR_ADMIN_JS.taxonomies.fields;
          $row = app.$post_body.find('.xbox-row-id-tgr_fields');
        } else if( settings.action && settings.action == 'add-'+TGR_ADMIN_JS.taxonomies.skills ){
          taxonomyKey = TGR_ADMIN_JS.taxonomies.skills;
          $row = app.$post_body.find('.xbox-row-id-tgr_skills');
        }
        var obj = Admin.getParamsAsObject(settings.data);
        if( obj.action == 'add-'+taxonomyKey ){
          var newValue = obj['new'+taxonomyKey];
          if( newValue ){
            var $dropdowns = $row.find('.xbox-field-id-tgr_name .xbox-element');
            var $new_item = $('<div class="item" data-value="'+newValue+'">'+newValue+'</div>');
            $new_item.insertAfter($dropdowns.find('.xbox-ui-inner-menu .item:first-child'));
            if( app.$clickTargetAddNew.length ){
              var $dropdown = app.$clickTargetAddNew.closest('.xbox-row').find('.xbox-element');
              $dropdown.dropdownXbox('clear');
              setTimeout(function(){
                $dropdown.dropdownXbox('set selected', newValue);
                Admin.scroll_to($dropdown, 400, 300);
              }, 200);
              app.$clickTargetAddNew = $();//Reset
            }
          }
        }
      }
    });
  };

  //Debug
  function c(msg) {
    console.log(msg);
  }

  function cc(msg, msg2) {
    console.log(msg, msg2);
  }

  function clog(msg, msg2) {
    if (app.debug) {
      if( msg2 ){
        console.log(msg, msg2);
      } else {
        console.log(msg);
      }
    }
  }

  return app;

})(window, document, jQuery);
