<?php

use TeamGrid\Includes\Assets;


$fields = $xbox->add_group(array(
    'id' => 'fields',
    'name' => esc_html__( 'Fields', 'teamgrid' ),
    'desc' => esc_html__( 'Email, Phone, Fax, Location, etc', 'teamgrid' ),
    'options' => array(
        'sortable' => true,
        'table_layout' => array(
            esc_html__( 'Field name', 'teamgrid' ) => '',
            esc_html__( 'Field value', 'teamgrid' ) => '',
            'URL' => '',
        ),
    ),
    'controls' => array(
        'name' => 'Field #',
        'readonly_name' => false,
        'left_actions' => array(
            'xbox-info-order-item' => '',
            'xbox-sort-group-item' => '<i class="xbox-icon xbox-icon-sort"></i>',
        ),
        'right_actions' => array(
            'xbox-visibility-group-item' => '',
        ),
    ),
));

$fields->open_mixed_field();

$fields->add_field( array(
    'name' => esc_html__( 'Icon', 'teamgrid' ),
    'id' => 'icon',
    'type' => 'select',
    'items' => Assets::font_awesome_icons_for_select( array('' => esc_html__( 'Select option', 'teamgrid' )) ),
    'options' => array(
        'search' => true,
    ),
    'default' => '',
));

$fields->add_field(array(
    'id' => 'name',
    'name' => esc_html__( 'Field name', 'teamgrid' ),
    'desc' => esc_html__( 'Add new from the "Field names" box on the right of this page.', 'teamgrid' ),
    'insert_after_name' => '<span class="tgr-add-new-field-name">'.esc_html__( 'Add New', 'teamgrid' ).'</span>',
    'type' => 'select',
    'default' => '',
    'items' => XboxItems::terms( $this->plugin->arg( 'taxonomies', 'fields' ), array( 'hide_empty' => false ), array( 'value' => 'name', 'display' => 'name'), array('' => esc_html__( 'Select option', 'teamgrid' )) ),
    'options' => array(
        'sort' => false,
        'sort_by_values' => false,
        'sortable' => true,
        'multiple' => false,
        'max_selections' => 100,
        'desc_tooltip' => true,
    ),
));
$fields->close_mixed_field();

$fields->add_field(array(
    'id' => 'value',
    'type' => 'text',
    'attributes' => array(
        'style' => 'width:200px',
    ),
));


$fields->open_mixed_field(array(
    'name' => esc_html__( 'URL', 'teamgrid' ),
));

$fields->add_field(array(
    'id' => 'url-type',
    'type' => 'radio',
    'default' => 'auto',
    'items' => array(
        'auto' => esc_html__( 'Automatic URL', 'teamgrid' ),
        'custom' => esc_html__( 'Custom URL', 'teamgrid' ),
    ),
    'options' => array(
        'show_name' => false,
    )
));
$fields->add_field(array(
    'id' => 'url',
    'name' => esc_html__( 'URL', 'teamgrid' ),
    'type' => 'text',
    'attributes' => array(
        'placeholder' => 'e.g. https://site.com',
    ),
    'options' => array(
        'show_if' => array( 'url-type', '=', 'custom' ),
    )
));
$fields->close_mixed_field();