<?php

use TeamGrid\Includes\Assets;


$links = $xbox->add_group(array(
    'id' => 'links',
    'name' => esc_html__( 'Social icons', 'teamgrid' ),
    'options' => array(
        'sortable' => true,
        'desc_tooltip' => true,
    ),
    'controls' => array(
        'name' => 'Social icon #',
        'left_actions' => array(
            'xbox-info-order-item' => '#',
            'xbox-sort-group-item' => '',
        ),
        'right_actions' => array(
            'xbox-visibility-group-item' => '',
        ),
    ),
));

$links->add_field(array(
    'id' => 'url',
    'name' => esc_html__( 'URL', 'teamgrid' ),
    'type' => 'text',
    'grid' => '5-of-8',
    'attributes' => array(
        'placeholder' => 'e.g. https://facebook.com',
    )
));

$links->add_field( array(
    'id' => 'icon',
    'name' => esc_html__( 'Icon', 'teamgrid' ),
    'type' => 'icon_selector',
    'default' => 'tgr-icon-fab tgr-icon-facebook-f',
    'items' => Assets::social_icon_fonts(),
    'options' => array(
        'wrap_height'    => '220px',
        'size'           => '36px',
        'hide_search'    => false,
        'hide_buttons'   => true,
    ),
    'attributes' => array(
        'class' => ''
    )
));
$links->add_field(array(
    'id' => 'title',
    'name' => esc_html__( 'Icon title', 'teamgrid' ),
    'type' => 'text',
    'grid' => '2-of-8',
));

$links->add_field(array(
    'id' => 'custom_icon',
    'name' => esc_html__( 'Custom Icon', 'teamgrid' ),
    'type' => 'text',
    'grid' => '4-of-8',
    'desc' => esc_html__( 'Add html of your custom icon.', 'teamgrid' ),
));