<?php


$xbox->add_field(array(
    'type' => 'title',
    'desc' => esc_html__( 'Styles for Popup, Inline, Slide-In Left and Slide-In Right', 'teamgrid' )
));


$xbox->open_mixed_field(array('name' => esc_html__( 'Text size', 'teamgrid' )));
$xbox->add_field(array(
    'id' => 'displayer-text-size',
    'name' => esc_html__( 'Content', 'teamgrid' ),
    'type' => 'number',
    'default' => 16,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
    ),
    'attributes' => array(
        'min' => 5,
    ),
));
$xbox->add_field(array(
    'id' => 'displayer-text-size-heading1',
    'name' => esc_html__( 'Heading 1', 'teamgrid' ),
    'type' => 'number',
    'default' => 19,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
    ),
    'attributes' => array(
        'min' => 5,
    ),
));
$xbox->add_field(array(
    'id' => 'displayer-text-size-heading2',
    'name' => esc_html__( 'Heading 2', 'teamgrid' ),
    'type' => 'number',
    'default' => 17,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
    ),
    'attributes' => array(
        'min' => 5,
    ),
));
$xbox->close_mixed_field();


$xbox->open_mixed_field(array('name' => esc_html__( 'Text color', 'teamgrid' )));
$xbox->add_field(array(
    'id' => 'displayer-text-color',
    'name' => esc_html__( 'Text color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(68, 68, 68, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
        'desc_tooltip' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'displayer-link-color',
    'name' => esc_html__( 'Links', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
        'desc_tooltip' => true,
    ),
));
$xbox->close_mixed_field();


$xbox->add_field(array(
    'id' => 'displayer-bg-color',
    'name' => esc_html__( 'Background', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(255, 255, 255, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));

$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Border', 'teamgrid' ),
    'options' => array(
        'show_if' => array( 'displayer', '=', 'inline' )
    )
));
$xbox->add_field(array(
    'id' => 'displayer-border-width',
    'name' => esc_html__( 'Border', 'teamgrid' ),
    'type' => 'number',
    'default' => 1,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
    ),
    'attributes' => array(
        'min' => 0,
    ),
));
$xbox->add_field(array(
    'id' => 'displayer-border-color',
    'name' => esc_html__( 'Border color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 0.3)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '0.3',
        'desc_tooltip' => true,
    ),
));
$xbox->close_mixed_field();


$xbox->add_field(array(
    'id' => 'displayer-triangle-color',
    'name' => esc_html__( 'Triangle color', 'teamgrid' ),
    'desc_name' => esc_html__( 'Color of the triangle indicating the active item.', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 0.6)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
        'show_if' => array('displayer', '=', 'inline'),
    ),
));
$xbox->add_field(array(
    'id' => 'displayer-constrols-color',
    'name' => esc_html__( 'Color for controls', 'teamgrid' ),
    'desc_name' => esc_html__( 'Color for close, next and previous buttons.', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(102, 102, 102, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
        'show_if' => array('displayer', 'in', array('inline', 'slide-in-left', 'slide-in-right')),
    ),
));