<?php

$xbox->open_mixed_field( array(
    'name' => esc_html__( 'Viewer', 'teamgrid' ),
) );

$xbox->add_field( array(
    'id' => 'displayer',
    'name' => esc_html__( 'Viewer', 'teamgrid' ),
    'type' => 'select',
    'default' => 'popup',
    'items' => array(
        'none' => 'None',
        'popup' => 'Popup',
        'inline' => 'Inline',
        'slide-in-left' => 'Slide In Left',
        'slide-in-right' => 'Slide In Right',
        'member-link' => 'Member permalink',
    ),
) );

$xbox->add_field( array(
    'id' => 'popup-width',
    'name' => esc_html__( 'Width', 'teamgrid' ),
    'type' => 'number',
    'default' => 880,
    'attributes' => array(
        'min' => 100,
    ),
    'options' => array(
        'show_spinner' => true,
        'show_if' => array('displayer', '=', 'popup' )
    ),
) );
$xbox->add_field( array(
    'id' => 'popup-height',
    'name' => esc_html__( 'Height', 'teamgrid' ),
    'type' => 'number',
    'default' => 540,
    'attributes' => array(
        'min' => 100,
    ),
    'options' => array(
        'show_spinner' => true,
        'show_if' => array('displayer', '=', 'popup' )
    ),
) );
$xbox->add_field( array(
    'id' => 'popup-border-radius',
    'name' => esc_html__( 'Border radius', 'teamgrid' ),
    'type' => 'number',
    'default' => '0',
    'attributes' => array(
        'min' => 0,
    ),
    'options' => array(
        'show_spinner' => true,
        'show_if' => array( 'displayer', '=', 'popup' )
    ),
) );

$xbox->add_field( array(
    'id' => 'slide-width',
    'name' => esc_html__( 'Width', 'teamgrid' ),
    'type' => 'number',
    'default' => 480,
    'options' => array(
        'show_spinner' => true,
        'show_if' => array( 'displayer', 'in', array( 'slide-in-left', 'slide-in-right' ) )
    ),
    'attributes' => array(
        'min' => 100,
    ),
) );


$xbox->add_field( array(
    'id' => 'inline-height',
    'name' => esc_html__( 'Content height', 'teamgrid' ),
    'type' => 'number',
    'default' => 460,
    'options' => array(
        'show_spinner' => true,
        'show_if' => array( 'displayer', '=', 'inline' )
    ),
    'attributes' => array(
        'min' => 100,
    ),
) );

$xbox->add_field( array(
    'id' => 'inline-margin-top',
    'name' => esc_html__( 'Margin top', 'teamgrid' ),
    'type' => 'number',
    'default' => 20,
    'options' => array(
        'show_spinner' => true,
        'show_if' => array( 'displayer', '=', 'inline' )
    ),
    'attributes' => array(
        'min' => 0,
    ),
) );
$xbox->add_field( array(
    'id' => 'inline-margin-top',
    'name' => esc_html__( 'Margin top', 'teamgrid' ),
    'type' => 'number',
    'default' => 20,
    'options' => array(
        'show_spinner' => true,
        'show_if' => array( 'displayer', '=', 'inline' )
    ),
    'attributes' => array(
        'min' => 0,
    ),
) );

$xbox->add_field( array(
    'id' => 'displayer-vertical-padding',
    'name' => esc_html__( 'Padding top/bottom', 'teamgrid' ),
    'type' => 'number',
    'default' => 36,
    'options' => array(
        'show_spinner' => true,
        'show_if' => array( 'displayer', '=', 'inline' )
    ),
    'attributes' => array(
        'min' => 0,
    ),
) );
$xbox->add_field( array(
    'id' => 'displayer-horizontal-padding',
    'name' => esc_html__( 'Padding left/right', 'teamgrid' ),
    'type' => 'number',
    'default' => 40,
    'options' => array(
        'show_spinner' => true,
        'show_if' => array( 'displayer', '=', 'inline' )
    ),
    'attributes' => array(
        'min' => 0,
    ),
) );
$xbox->add_field( array(
    'id' => 'popup-next-item-effect',
    'name' => esc_html__( 'Next item effect', 'teamgrid' ),
    'type' => 'select',
    'default' => 'fade',
    'items' => array(
        'fade' => 'Fade',
        'slide' => 'Slide',
    ),
    'options' => array(
        'show_if' => array( 'displayer', 'in', array( 'popup', 'slide-in-left', 'slide-in-right' ) )
    ),
) );
$xbox->add_field(array(
    'id' => 'displayer-target-link',
    'name' => 'Target',
    'type' => 'radio',
    'default' => '_blank',
    'items' => array(
        '_blank' => __( 'New Window', 'teamgrid' ),
        '_self' => __( 'Same Window', 'teamgrid' ),
    ),
    'options' => array(
        'show_spinner' => true,
        'show_if' => array('displayer', '=', 'member-link' )
    ),
));
$xbox->close_mixed_field();
